php和apache升级后连接不上oracle

流海 发布于 2013/12/18 17:09
阅读 357
收藏 0
原来是:
apache_2.0.55-win32-x86-no_ssl.msi
PHP5.2.4.rar
instantclient10_1
Oracle Run-time Client Library Version     10.2.0.5.0
运行正常的……
然后升级到
apache-2.4.7-win32-VC9.zip

php-5.4.23-Win32-VC9-x86.zip

这个时候phpinfo无法读出oci的支持,关闭了oci8,开启了oci8-11g,oci的支持出来了
OCI8 Support     enabled
Version     1.4.9
Oracle Run-time Client Library Version     10.2.0.5.0
Oracle Instant Client Version     11.2
Temporary Lob support     enabled
Collections support     enabled
但是使用oci_connect报告24315错误
查了半天也没有明白是怎么回事,求救啊
加载中
0
流海
流海
厄……好吧……问题算是解决了,之前在最开始的时候搞了半天,按照网上各种方式来尝试,将几个oci的dll拷贝到了system32下面去,现在将这些dll删除后貌似就正常了。
返回顶部
顶部